Page MenuHomePhabricator

Transferring PD-images from Flickr becomes 'undefined'-license
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterFlickr: Added support for cc-zero & public domain mark

Event Timeline

Josve05a created this task.Jul 12 2015, 1:21 PM
Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptJul 12 2015, 1:21 PM
Josve05a triaged this task as High priority.Jul 12 2015, 1:22 PM
This comment was removed by Josve05a.

Will do the day after tomorrow.

Hmm, so '{{FlickrVerifiedByUploadWizard|Public domain mark}}{{PD-author|<Flickr username>}}{{subst:PDr}}'?

It might cause troubles if the image is actually PD-old or something else.

please see https://commons.wikimedia.org/wiki/Commons:Requests_for_comment/Flickr_and_PD_images#Status_of_PD_Mark_1.0
IMages tagged as PD on FLickr by the author might not be ok on Commons, only such images which are marked as PD due to age or something...so that would be a no.
Howabout {{subst:Flickr-public domain mark/subst}} or disallow uploads if PD, and refering to the request for comments?

Or '{{FlickrVerifiedByUploadWizard|Public domain mark}}{{subst:Flickr-public domain mark/subst}}' with a message warning to add the license tags after upload

Revent renamed this task from Tranferring PD-images from Flickr becomes 'undefined'-license to Transferring PD-images from Flickr becomes 'undefined'-license.Jul 12 2015, 5:29 PM
Revent set Security to None.
zhuyifei1999 moved this task from Incoming to Backlog on the Commons board.Jul 14 2015, 5:27 AM
zhuyifei1999 moved this task from Backlog to Uploading on the Commons board.

Change 224600 had a related patch set uploaded (by Zhuyifei1999):
Flickr: Added support for cc-zero & public domain mark

https://gerrit.wikimedia.org/r/224600

The above patch made a manual inputbox for the license tag instead of "{{subst:Flickr-public domain mark/subst}}" plus warning message or simply "{{PD-author|<Flickr username>}}"

This comment was removed by Josve05a.

{{CC-PD}}.

It's used (per template text) to mark work released to PD by author, and not things like PD-old, PD-ineligible, etc.

RP88 added a subscriber: RP88.Aug 31 2015, 6:14 AM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:43 PM

Change 224600 merged by jenkins-bot:
Flickr: Added support for cc-zero & public domain mark

https://gerrit.wikimedia.org/r/224600

matmarex closed this task as Resolved.Sep 23 2015, 3:56 PM
matmarex added a subscriber: matmarex.

Thanks for the patch, and sorry you had to wait so long.

Josve05a reopened this task as Open.Oct 3 2015, 7:27 PM

Should use {{Flickr-public domain mark}} instead of {{CC-PD}} given @zhuyifei1999 's comment above and seeming consensus on the RfC-page on Commons.

Josve05a renamed this task from Transferring PD-images from Flickr becomes 'undefined'-license to [UW] Properly tag CC-PD-images from Flickr.Oct 3 2015, 7:35 PM
Josve05a added a subscriber: Magnus.
Josve05a raised the priority of this task from High to Unbreak Now!.Oct 4 2015, 12:49 AM

Given this edit https://commons.wikimedia.org/w/index.php?title=Template:Flickr-public_domain_mark&curid=39638617&diff=174322304&oldid=174302093
"public domain mark (https://creativecommons.org/publicdomain/mark/1.0/) is not {{CD-PD}} (that is CC Public Domain Dedication"
therefore UW should not tag these images with {{CC-PD}}, since that is the wrong license.

zhuyifei1999 closed this task as Resolved.Oct 4 2015, 2:39 AM

Should use {{Flickr-public domain mark}} instead of {{CC-PD}} given @zhuyifei1999 's comment above and seeming consensus on the RfC-page on Commons.

That's an issue with Flickr2Commons, not UploadWizard

Josve05a added a comment.EditedOct 4 2015, 2:49 AM

That's an issue with Flickr2Commons, not UploadWizard

?According to @MarkTraceur, UploadWizard is using {{CC-PD}}. That's the worng license-agreement. It links to "CC Public Domain Dedication" instead of "PD 1.0". So, yes. This is a problem with UW. UW is adding the wrong license PD-tag. Please reopen.

?According to @MarkTraceur, UploadWizard is using {{CC-PD}}. That's the worng license-agreement. It links to "CC Public Domain Dedication" instead of "PD 1.0". So, yes. This is a problem with UW. UW is adding the wrong license PD-tag. Please reopen.

I don't see anywhere in https://gerrit.wikimedia.org/r/#/c/224600/ that says CC-PD

Nor GitHub gives any results on CC-PD.

On a side note, Template:Cc-pd-mark-footer is what Public Domain Mark really is.

Hm, my bad.Just tried upload a PD-file now and it forced me to write something (another license). I just wrote {{test}} and it worked and added the license reviewed tag. Not the best system. Automaticly reviwing something which allowsusers to add what ever they want.

At least it adds "{{FlickrVerifiedByUploadWizard|Public Domain Mark}}" so you know it's "Public Domain Mark" at the time of upload.

yeah, but it isn't very user friendly (different task should be created...I know). Like instead of having a free-text-field, maybe have a drop ddown menu with all PD-templates instead. Currently it only says (something like) "Please add licese in wikicode" and "UploadWizard recognized the license "Public Domain Mark"". No very user friendly or clear what "it" want.

Aklapper renamed this task from [UW] Properly tag CC-PD-images from Flickr to Properly tag CC-PD-images from Flickr.Oct 4 2015, 8:48 AM
matmarex lowered the priority of this task from Unbreak Now! to High.Oct 4 2015, 12:49 PM

So there's no bug in UploadWizard here?

As of now, there are 833 templates in https://commons.wikimedia.org/wiki/Category:PD_license_tags and subcategories. I don't think giving the user a list of them would help in any way.

matmarex renamed this task from Properly tag CC-PD-images from Flickr to Transferring PD-images from Flickr becomes 'undefined'-license.Oct 4 2015, 12:57 PM